config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.openvswitch.new
( cd usr/lib64 ; rm -rf libovn.so.1 )
( cd usr/lib64 ; ln -sf libovn.so.1.0.0 libovn.so.1 )
( cd usr/lib64 ; rm -rf libvtep.so.1 )
( cd usr/lib64 ; ln -sf libvtep.so.1.0.0 libvtep.so.1 )
( cd usr/lib64 ; rm -rf libsflow.so.1 )
( cd usr/lib64 ; ln -sf libsflow.so.1.0.0 libsflow.so.1 )
( cd usr/lib64 ; rm -rf libovn.so )
( cd usr/lib64 ; ln -sf libovn.so.1.0.0 libovn.so )
( cd usr/lib64 ; rm -rf libvtep.so )
( cd usr/lib64 ; ln -sf libvtep.so.1.0.0 libvtep.so )
( cd usr/lib64 ; rm -rf libovsdb.so.1 )
( cd usr/lib64 ; ln -sf libovsdb.so.1.0.0 libovsdb.so.1 )
( cd usr/lib64 ; rm -rf libovsdb.so )
( cd usr/lib64 ; ln -sf libovsdb.so.1.0.0 libovsdb.so )
( cd usr/lib64 ; rm -rf libopenvswitch.so )
( cd usr/lib64 ; ln -sf libopenvswitch.so.1.0.0 libopenvswitch.so )
( cd usr/lib64 ; rm -rf libofproto.so )
( cd usr/lib64 ; ln -sf libofproto.so.1.0.0 libofproto.so )
( cd usr/lib64 ; rm -rf libsflow.so )
( cd usr/lib64 ; ln -sf libsflow.so.1.0.0 libsflow.so )
( cd usr/lib64 ; rm -rf libopenvswitch.so.1 )
( cd usr/lib64 ; ln -sf libopenvswitch.so.1.0.0 libopenvswitch.so.1 )
( cd usr/lib64 ; rm -rf libofproto.so.1 )
( cd usr/lib64 ; ln -sf libofproto.so.1.0.0 libofproto.so.1 )
